## net.sourceforge.pmd.dfa.report
Class AbstractReportNode

    java.lang.Object
      net.sourceforge.pmd.dfa.report.AbstractReportNode

Direct Known Subclasses:
  ClassNode, PackageNode, ViolationNode

public abstract class AbstractReportNode
extends java.lang.Object

Constructor Summary
`AbstractReportNode()`

Method Summary
`void` `accept(ReportVisitor visitor)`
`void` `add(AbstractReportNode child)` Adds the child at the end.
`void` `addFirst(AbstractReportNode child)` Adds the child in front of any other childs.
`void` `addNumberOfViolation(int number)`
`void` `childrenAccept(ReportVisitor visitor)`
`abstract boolean` `equalsNode(AbstractReportNode arg0)` Should compare to nodes of the tree.
`AbstractReportNode` `getChildAt(int arg0)`
`int` `getChildCount()`
`AbstractReportNode` `getFirstChild()`
`AbstractReportNode` `getNextSibling()`
`int` `getNumberOfViolations()`
`AbstractReportNode` `getParent()`
`boolean` `isLeaf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractReportNode

    public AbstractReportNode()

Method Detail

### equalsNode

    public abstract boolean equalsNode(AbstractReportNode arg0)

  Should compare to nodes of the tree.

### getFirstChild

    public AbstractReportNode getFirstChild()

  Returns:
    null If there isn't any child.

### getNextSibling

    public AbstractReportNode getNextSibling()

  Returns:
    null If there isn't any sibling.

### addFirst

    public void addFirst(AbstractReportNode child)

  Adds the child in front of any other childs.

### add

    public void add(AbstractReportNode child)

  Adds the child at the end.

### addNumberOfViolation

    public void addNumberOfViolation(int number)

### getNumberOfViolations

    public int getNumberOfViolations()

  Returns:
    The number of all violations downside the node.

### childrenAccept

    public void childrenAccept(ReportVisitor visitor)

### accept

    public void accept(ReportVisitor visitor)

### getChildAt

    public AbstractReportNode getChildAt(int arg0)

### getChildCount

    public int getChildCount()

### getParent

    public AbstractReportNode getParent()

### isLeaf

    public boolean isLeaf()

Copyright © 2002-2006 InfoEther. All Rights Reserved.